<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cardPreset"
        android:layout_width="68dp"
        android:layout_height="68dp"
        android:layout_margin="4dp"
        app:cardCornerRadius="6dp"
        app:cardElevation="1dp"
        app:strokeWidth="0dp"
        app:cardBackgroundColor="@color/theme_item_card_bg">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:gravity="center"
            android:padding="4dp">

            <!-- Vòng tròn màu xem trước bộ lọc -->
            <View
                android:id="@+id/viewPresetColor"
                android:layout_width="36dp"
                android:layout_height="36dp"
                android:background="@drawable/ic_default_preset_thumbnail" />

            <TextView
                android:id="@+id/txtPresetName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textColor="@color/theme_white"
                android:textSize="10sp"
                android:layout_marginTop="4dp"
                android:singleLine="true"
                android:ellipsize="end"
                android:text="Preset" />
        </LinearLayout>
    </com.google.android.material.card.MaterialCardView>
</FrameLayout>
